/*
 * Copyright © 2004 Noah Levitt
 * Copyright © 2008 Christian Persch
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02110-1301  USA
 */

#ifndef MUCHARMAP_H
#define MUCHARMAP_H

#define __MUCHARMAP_MUCHARMAP_H_INSIDE__

#define MUCHARMAP_VERSION_MAJOR    (1)
#define MUCHARMAP_VERSION_MINOR    (6)
#define MUCHARMAP_VERSION_MICRO    (0)

#define MUCHARMAP_CHECK_VERSION(major, minor, micro) \
	(MUCHARMAP_VERSION_MAJOR > (major) || \
	(MUCHARMAP_VERSION_MAJOR == (major) && MUCHARMAP_VERSION_MINOR > (minor)) || \
	(MUCHARMAP_VERSION_MAJOR == (major) && MUCHARMAP_VERSION_MINOR == (minor) && MUCHARMAP_VERSION_MICRO >= (micro)))

#include <mucharmap/mucharmap-codepoint-list.h>
#include <mucharmap/mucharmap-block-codepoint-list.h>
#include <mucharmap/mucharmap-script-codepoint-list.h>

#include <mucharmap/mucharmap-chapters-model.h>
#include <mucharmap/mucharmap-block-chapters-model.h>
#include <mucharmap/mucharmap-script-chapters-model.h>

#include <mucharmap/mucharmap-chartable.h>
#include <mucharmap/mucharmap-charmap.h>

#include <mucharmap/mucharmap-type-builtins.h>

#include <mucharmap/mucharmap-unicode-info.h>

#undef __MUCHARMAP_MUCHARMAP_H_INSIDE__

#endif /* MUCHARMAP_H */
